<?php

/**
 * @file
 * Advanced catalog query order alter on view.
 */

/**
 * Implementation hook_views_query_alter()
 */
function uc_advanced_catalog_views_query_alter(&$view, &$query) {
  if ($view->name == 'advanced_catalog' && arg(0) != 'admin') {
    // order sql filter
    if ($_SESSION['uc_advanced_catalog']['order']) {
      $order = $_SESSION['uc_advanced_catalog']['order'];
    }
    else {
      $order = variable_get('uc_advanced_catalog_order_default', 'ordering');
    }
    switch ($order) {
      case 'price':
        $table = 'uc_products.sell_price ';
        break;
      case 'name':
        $table = 'node.title ';
        break;
      default:
        $table = 'uc_products.ordering ';
    }
    // dir sql filter
    if ($_SESSION['uc_advanced_catalog']['sort']) {
      $dir = $_SESSION['uc_advanced_catalog']['sort'];
    }
    else {
      $dir = variable_get('uc_advanced_catalog_sort_default', 'DESC');
    }
    switch ($dir) {
      case 'ASC':
      case 'ascending':
        $dir = 'ASC';
        break;
      default:
        $dir = 'DESC';
    }
    // alter query to add new ORDER BY   
    $query->orderby[0] = $table . $dir;
  }
}